[SOLVED] Terminal won't open

All Gurus once were Newbies
Forum rules
There are no such things as "stupid" questions. However if you think your question is a bit stupid, then this is the right place for you to post it. Please stick to easy to-the-point questions that you feel people can answer fast. For long and complicated questions prefer the other forums within the support section.
Before you post please read how to get help
Post Reply
bradrar
Level 2
Level 2
Posts: 54
Joined: Sun Aug 19, 2018 2:48 am

[SOLVED] Terminal won't open

Post by bradrar »

I can't open my terminal and I don't know why.

What I did before this happened:
I just installed all the packages from the system update and that's it.I don't know the packages, all I do is select all and install.

After that, I can't open my terminal.
Last edited by bradrar on Thu Nov 01, 2018 12:47 am, edited 1 time in total.

User avatar
AZgl1500
Level 13
Level 13
Posts: 4680
Joined: Thu Dec 31, 2015 3:20 am
Location: Oklahoma where the wind comes sweeping down the plains
Contact:

Re: Terminal won't open

Post by AZgl1500 »

Do you have Timeshift installed and have a backup created Prior to those updates?

if so, open Timeshift, select a backup prior to the updates, and click on Restore.

it will do a lot of work, and reboot.

then Terminal should be working again.

then, look at the updates and be more selective as to what levels you install at a time.
Linux Mint 19.3 Cinnamon

gm10
Level 20
Level 20
Posts: 10999
Joined: Thu Jun 21, 2018 5:11 pm

Re: Terminal won't open

Post by gm10 »

bradrar wrote:
Wed Oct 31, 2018 2:03 am
I can't open my terminal and I don't know why.
The answer is most likely found in the file

Code: Select all

/var/log/apt/history.log
Open that with a text editor and post the contents.

Also a reboot might help. Last but certainly not least, what's your Mint version and desktop environment?

bradrar
Level 2
Level 2
Posts: 54
Joined: Sun Aug 19, 2018 2:48 am

Re: Terminal won't open

Post by bradrar »

Code: Select all


Start-Date: 2018-10-02  00:18:54
Commandline: /usr/sbin/synaptic --hide-main-window --non-interactive --parent-window-id 79691800 -o Synaptic::closeZvt=true --set-selections-file /tmp/tmpq5m245ba
Requested-By: bradrar (1000)
Upgrade: update-manager-core:amd64 (1:18.04.11.4, 1:18.04.11.5), libgs9:amd64 (9.22~dfsg+1-0ubuntu1.2, 9.25~dfsg+1-0ubuntu0.18.04.1), plymouth-label:amd64 (0.9.3-1ubuntu7, 0.9.3-1ubuntu7.18.04.1), plymouth-theme-ubuntu-text:amd64 (0.9.3-1ubuntu7, 0.9.3-1ubuntu7.18.04.1), adapta-gtk-theme:amd64 (3.94.0.149-0ubuntu1~bionic1, 3.95.0.1-0ubuntu1~bionic1), libplymouth4:amd64 (0.9.3-1ubuntu7, 0.9.3-1ubuntu7.18.04.1), python3-update-manager:amd64 (1:18.04.11.4, 1:18.04.11.5), ghostscript:amd64 (9.22~dfsg+1-0ubuntu1.2, 9.25~dfsg+1-0ubuntu0.18.04.1), ghostscript-x:amd64 (9.22~dfsg+1-0ubuntu1.2, 9.25~dfsg+1-0ubuntu0.18.04.1), libgs9-common:amd64 (9.22~dfsg+1-0ubuntu1.2, 9.25~dfsg+1-0ubuntu0.18.04.1), plymouth:amd64 (0.9.3-1ubuntu7, 0.9.3-1ubuntu7.18.04.1)
End-Date: 2018-10-02  00:20:16

Start-Date: 2018-10-03  10:21:30
Commandline: /usr/sbin/synaptic --hide-main-window --non-interactive --parent-window-id 79691800 -o Synaptic::closeZvt=true --set-selections-file /tmp/tmpo1kuw8k6
Requested-By: bradrar (1000)
Install: linux-headers-4.15.0-36-generic:amd64 (4.15.0-36.39, automatic), linux-modules-extra-4.15.0-36-generic:amd64 (4.15.0-36.39, automatic), linux-modules-4.15.0-36-generic:amd64 (4.15.0-36.39, automatic), linux-headers-4.15.0-36:amd64 (4.15.0-36.39, automatic), linux-image-4.15.0-36-generic:amd64 (4.15.0-36.39, automatic)
Upgrade: linux-headers-generic:amd64 (4.15.0.34.36, 4.15.0.36.38), linux-libc-dev:amd64 (4.15.0-34.37, 4.15.0-36.39), linux-image-generic:amd64 (4.15.0.34.36, 4.15.0.36.38), adapta-gtk-theme:amd64 (3.95.0.1-0ubuntu1~bionic1, 3.95.0.11-0ubuntu1~bionic1), linux-generic:amd64 (4.15.0.34.36, 4.15.0.36.38)
End-Date: 2018-10-03  10:23:02

Start-Date: 2018-10-03  22:08:01
Commandline: /usr/sbin/synaptic --hide-main-window --non-interactive --parent-window-id 79691800 -o Synaptic::closeZvt=true --set-selections-file /tmp/tmp6oooagxi
Requested-By: bradrar (1000)
Install: libbrotli1:amd64 (1.0.3-1ubuntu1.2, automatic), libwoff1:amd64 (1.0.2-1build0.1, automatic)
Upgrade: liblouis14:amd64 (3.5.0-1ubuntu0.2, 3.5.0-1ubuntu0.3), python3-louis:amd64 (3.5.0-1ubuntu0.2, 3.5.0-1ubuntu0.3), libwebkit2gtk-4.0-37:amd64 (2.20.5-0ubuntu0.18.04.1, 2.22.2-0ubuntu0.18.04.1), gir1.2-webkit2-4.0:amd64 (2.20.5-0ubuntu0.18.04.1, 2.22.2-0ubuntu0.18.04.1), liblouis-data:amd64 (3.5.0-1ubuntu0.2, 3.5.0-1ubuntu0.3), libjavascriptcoregtk-4.0-18:amd64 (2.20.5-0ubuntu0.18.04.1, 2.22.2-0ubuntu0.18.04.1), gir1.2-javascriptcoregtk-4.0:amd64 (2.20.5-0ubuntu0.18.04.1, 2.22.2-0ubuntu0.18.04.1)
End-Date: 2018-10-03  22:08:17

Start-Date: 2018-10-05  00:09:03
Commandline: /usr/sbin/synaptic --hide-main-window --non-interactive --parent-window-id 79691825 -o Synaptic::closeZvt=true --set-selections-file /tmp/tmpefq15hq6
Requested-By: bradrar (1000)
Upgrade: flatpak:amd64 (0.11.7-0ubuntu0.1, 1.0.1-0ubuntu0.1), libflatpak0:amd64 (0.11.7-0ubuntu0.1, 1.0.1-0ubuntu0.1), metacity:amd64 (1:3.28.0-1, 1:3.28.0-1ubuntu0.1), initramfs-tools-bin:amd64 (0.130ubuntu3.3, 0.130ubuntu3.5), gir1.2-flatpak-1.0:amd64 (0.11.7-0ubuntu0.1, 1.0.1-0ubuntu0.1), libmetacity1:amd64 (1:3.28.0-1, 1:3.28.0-1ubuntu0.1), metacity-common:amd64 (1:3.28.0-1, 1:3.28.0-1ubuntu0.1), libostree-1-1:amd64 (2018.4-2, 2018.8-0ubuntu0.1), initramfs-tools-core:amd64 (0.130ubuntu3.3, 0.130ubuntu3.5), initramfs-tools:amd64 (0.130ubuntu3.3, 0.130ubuntu3.5)
End-Date: 2018-10-05  00:11:14

Start-Date: 2018-10-05  18:59:21
Commandline: /usr/sbin/synaptic --hide-main-window --non-interactive --parent-window-id 79691804 -o Synaptic::closeZvt=true --set-selections-file /tmp/tmpeqyfmcyf
Requested-By: bradrar (1000)
Upgrade: libmagick++-6.q16-7:amd64 (8:6.9.7.4+dfsg-16ubuntu6.3, 8:6.9.7.4+dfsg-16ubuntu6.4), imagemagick:amd64 (8:6.9.7.4+dfsg-16ubuntu6.3, 8:6.9.7.4+dfsg-16ubuntu6.4), libmagickwand-6.q16-3:amd64 (8:6.9.7.4+dfsg-16ubuntu6.3, 8:6.9.7.4+dfsg-16ubuntu6.4), libapparmor1:amd64 (2.12-4ubuntu5, 2.12-4ubuntu5.1), imagemagick-6.q16:amd64 (8:6.9.7.4+dfsg-16ubuntu6.3, 8:6.9.7.4+dfsg-16ubuntu6.4), libmagickcore-6.q16-3:amd64 (8:6.9.7.4+dfsg-16ubuntu6.3, 8:6.9.7.4+dfsg-16ubuntu6.4), apparmor:amd64 (2.12-4ubuntu5, 2.12-4ubuntu5.1), imagemagick-6-common:amd64 (8:6.9.7.4+dfsg-16ubuntu6.3, 8:6.9.7.4+dfsg-16ubuntu6.4)
End-Date: 2018-10-05  19:00:06

Start-Date: 2018-10-11  09:39:09
Commandline: /usr/sbin/synaptic --hide-main-window --non-interactive --parent-window-id 77594652 -o Synaptic::closeZvt=true --set-selections-file /tmp/tmp9cqo5no2
Requested-By: bradrar (1000)
Upgrade: flashplugin-installer:amd64 (31.0.0.108ubuntu0.18.04.1, 31.0.0.122ubuntu0.18.04.1), ubuntu-drivers-common:amd64 (1:0.5.2, 1:0.5.2.1), firefox-locale-en:amd64 (62.0+linuxmint1+tara, 62.0.3+linuxmint1+tara), libwebkit2gtk-4.0-37:amd64 (2.22.2-0ubuntu0.18.04.1, 2.22.2-0ubuntu0.18.04.2), gir1.2-webkit2-4.0:amd64 (2.22.2-0ubuntu0.18.04.1, 2.22.2-0ubuntu0.18.04.2), firefox:amd64 (62.0+linuxmint1+tara, 62.0.3+linuxmint1+tara), libjavascriptcoregtk-4.0-18:amd64 (2.22.2-0ubuntu0.18.04.1, 2.22.2-0ubuntu0.18.04.2), gir1.2-javascriptcoregtk-4.0:amd64 (2.22.2-0ubuntu0.18.04.1, 2.22.2-0ubuntu0.18.04.2)
End-Date: 2018-10-11  09:41:12

Start-Date: 2018-10-12  23:06:36
Commandline: apt-get remove --purge -y linux-*-4.15.0-34*
Requested-By: bradrar (1000)
Purge: linux-modules-4.15.0-34-generic:amd64 (4.15.0-34.37), linux-headers-4.15.0-34:amd64 (4.15.0-34.37), linux-image-4.15.0-34-generic:amd64 (4.15.0-34.37), linux-headers-4.15.0-34-generic:amd64 (4.15.0-34.37), linux-modules-extra-4.15.0-34-generic:amd64 (4.15.0-34.37)
End-Date: 2018-10-12  23:07:34

Start-Date: 2018-10-12  23:17:49
Commandline: /usr/sbin/synaptic --hide-main-window --non-interactive --parent-window-id 77594652 -o Synaptic::closeZvt=true --set-selections-file /tmp/tmp6p3fvtrf
Requested-By: bradrar (1000)
Upgrade: git-man:amd64 (1:2.17.1-1ubuntu0.1, 1:2.17.1-1ubuntu0.3), grub-common:amd64 (2.02-2ubuntu8.4, 2.02-2ubuntu8.6), git:amd64 (1:2.17.1-1ubuntu0.1, 1:2.17.1-1ubuntu0.3), grub2-common:amd64 (2.02-2ubuntu8.4, 2.02-2ubuntu8.6), grub-efi-amd64-bin:amd64 (2.02-2ubuntu8.4, 2.02-2ubuntu8.6), grub-efi-amd64:amd64 (2.02-2ubuntu8.4, 2.02-2ubuntu8.6), shim-signed:amd64 (1.37~18.04.1+15+1533136590.3beb971-0ubuntu1, 1.37~18.04.2+15+1533136590.3beb971-0ubuntu1), grub-efi-amd64-signed:amd64 (1.93.5+2.02-2ubuntu8.4, 1.93.7+2.02-2ubuntu8.6), libkpathsea6:amd64 (2017.20170613.44572-8build1, 2017.20170613.44572-8ubuntu0.1)
End-Date: 2018-10-12  23:19:24

Start-Date: 2018-10-14  22:17:03
Commandline: aptdaemon role='role-install-packages' sender=':1.137'
Install: mypaint:amd64 (1.2.0-4.1), python-numpy:amd64 (1:1.13.3-2ubuntu1, automatic), mypaint-data:amd64 (1.2.0-4.1, automatic)
End-Date: 2018-10-14  22:17:20

Start-Date: 2018-10-14  22:22:14
Commandline: aptdaemon role='role-remove-packages' sender=':1.137'
Remove: mypaint:amd64 (1.2.0-4.1)
End-Date: 2018-10-14  22:22:18

Start-Date: 2018-10-15  22:15:24
Commandline: aptdaemon role='role-remove-packages' sender=':1.80'
Remove: pcsx2:i386 (1.4.0+dfsg-2)
End-Date: 2018-10-15  22:15:29

Start-Date: 2018-10-15  22:38:54
Commandline: /usr/sbin/synaptic --hide-main-window --non-interactive --parent-window-id 81788985 -o Synaptic::closeZvt=true --set-selections-file /tmp/tmpdv5wcqzo
Requested-By: bradrar (1000)
Upgrade: python3-requests:amd64 (2.18.4-2, 2.18.4-2ubuntu0.1)
End-Date: 2018-10-15  22:38:57

Start-Date: 2018-10-17  15:14:49
Commandline: aptdaemon role='role-remove-packages' sender=':1.109'
Remove: code:amd64 (1.28.1-1539281690)
End-Date: 2018-10-17  15:14:54

Start-Date: 2018-10-18  22:53:28
Commandline: apt-get --yes autoremove
Remove: libpangoft2-1.0-0:i386 (1.40.14-1ubuntu0.1), libxcb-xfixes0:i386 (1.13-1), libegl1:i386 (1.0.0-2ubuntu2.2), libgdk-pixbuf2.0-0:i386 (2.36.11-2), libegl-mesa0:i386 (18.0.5-0ubuntu0~18.04.1), libpixman-1-0:i386 (0.34.0-2), libgtk2.0-0:i386 (2.24.32-1ubuntu1), libaio1:i386 (0.3.110-5), libxcb-shm0:i386 (1.13-1), libxcb-render0:i386 (1.13-1), libwxgtk3.0-0v5:i386 (3.0.4+dfsg-3), libgbm1:i386 (18.0.5-0ubuntu0~18.04.1), libsm6:i386 (2:1.2.2-1), libwayland-client0:i386 (1.14.0-2), libatk1.0-0:i386 (2.28.1-1), libpangocairo-1.0-0:i386 (1.40.14-1ubuntu0.1), libwayland-egl1-mesa:i386 (18.0.5-0ubuntu0~18.04.1), libsoundtouch1:i386 (1.9.2-3), libwxbase3.0-0v5:i386 (3.0.4+dfsg-3), libthai0:i386 (0.1.27-2), libsdl2-2.0-0:i386 (2.0.8+dfsg1-1ubuntu1.18.04.1), libgraphite2-3:i386 (1.3.11-2), libharfbuzz0b:i386 (1.7.2-1ubuntu1), libice6:i386 (2:1.0.9-2), libcairo2:i386 (1.15.10-2), libpango-1.0-0:i386 (1.40.14-1ubuntu0.1), libxss1:i386 (1:1.2.2-1), libxkbcommon0:i386 (0.8.0-1), libnotify4:i386 (0.7.7-3), libwayland-server0:i386 (1.14.0-2), mypaint-data:amd64 (1.2.0-4.1), libdatrie1:i386 (0.2.10-7), libwayland-cursor0:i386 (1.14.0-2)
End-Date: 2018-10-18  22:54:43

Start-Date: 2018-10-18  23:00:05
Commandline: aptdaemon role='role-remove-packages' sender=':1.81'
Remove: code:amd64 (1.28.1-1539281690)
End-Date: 2018-10-18  23:00:12

Start-Date: 2018-10-18  23:03:39
Commandline: aptdaemon role='role-remove-packages' sender=':1.90'
Remove: tuxtype:amd64 (1.8.3-2)
End-Date: 2018-10-18  23:03:54

Start-Date: 2018-10-18  23:05:17
Commandline: aptdaemon role='role-remove-packages' sender=':1.107'
Remove: timeshift:amd64 (18.6+tara)
End-Date: 2018-10-18  23:05:20

Start-Date: 2018-10-18  23:06:04
Commandline: aptdaemon role='role-remove-packages' sender=':1.113'
Remove: 4kyoutubetomp3:amd64 (3.3-9)
End-Date: 2018-10-18  23:06:06

Start-Date: 2018-10-19  18:04:58
Commandline: /usr/sbin/synaptic --hide-main-window --non-interactive --parent-window-id 77594663 -o Synaptic::closeZvt=true --set-selections-file /tmp/tmp9fh1plwc
Requested-By: bradrar (1000)
Upgrade: fdisk:amd64 (2.31.1-0.4ubuntu3.1, 2.31.1-0.4ubuntu3.2), uuid-runtime:amd64 (2.31.1-0.4ubuntu3.1, 2.31.1-0.4ubuntu3.2), libfdisk1:amd64 (2.31.1-0.4ubuntu3.1, 2.31.1-0.4ubuntu3.2), libmount1:amd64 (2.31.1-0.4ubuntu3.1, 2.31.1-0.4ubuntu3.2), libmount1:i386 (2.31.1-0.4ubuntu3.1, 2.31.1-0.4ubuntu3.2), libsnmp-base:amd64 (5.7.3+dfsg-1.8ubuntu3, 5.7.3+dfsg-1.8ubuntu3.1), libcscreensaver0:amd64 (3.8.2+tara, 3.8.3+tara), google-chrome-stable:amd64 (69.0.3497.100-1, 70.0.3538.67-1), util-linux:amd64 (2.31.1-0.4ubuntu3.1, 2.31.1-0.4ubuntu3.2), mount:amd64 (2.31.1-0.4ubuntu3.1, 2.31.1-0.4ubuntu3.2), libblkid1:amd64 (2.31.1-0.4ubuntu3.1, 2.31.1-0.4ubuntu3.2), libblkid1:i386 (2.31.1-0.4ubuntu3.1, 2.31.1-0.4ubuntu3.2), libsnmp30:amd64 (5.7.3+dfsg-1.8ubuntu3, 5.7.3+dfsg-1.8ubuntu3.1), python3-distupgrade:amd64 (1:18.04.26, 1:18.04.27), ubuntu-release-upgrader-core:amd64 (1:18.04.26, 1:18.04.27), libuuid1:amd64 (2.31.1-0.4ubuntu3.1, 2.31.1-0.4ubuntu3.2), libuuid1:i386 (2.31.1-0.4ubuntu3.1, 2.31.1-0.4ubuntu3.2), cinnamon-screensaver:amd64 (3.8.2+tara, 3.8.3+tara), libsmartcols1:amd64 (2.31.1-0.4ubuntu3.1, 2.31.1-0.4ubuntu3.2), rfkill:amd64 (2.31.1-0.4ubuntu3.1, 2.31.1-0.4ubuntu3.2), libssh-gcrypt-4:amd64 (0.8.0~20170825.94fa1e38-1build1, 0.8.0~20170825.94fa1e38-1ubuntu0.1), cinnamon-settings-daemon:amd64 (3.8.5+tara, 3.8.7+tara), bsdutils:amd64 (1:2.31.1-0.4ubuntu3.1, 1:2.31.1-0.4ubuntu3.2), cinnamon-screensaver-x-plugin:amd64 (3.8.2+tara, 3.8.3+tara), libsnapd-glib1:amd64 (1.41-0ubuntu0.18.04.1, 1.43-0ubuntu0.18.04.1)
End-Date: 2018-10-19  18:07:18

Start-Date: 2018-10-24  13:46:56
Commandline: /usr/sbin/synaptic --hide-main-window --non-interactive --parent-window-id 79691841 -o Synaptic::closeZvt=true --set-selections-file /tmp/tmpjeeoe7sj
Requested-By: bradrar (1000)
Install: linux-headers-4.15.0-38-generic:amd64 (4.15.0-38.41, automatic), linux-modules-extra-4.15.0-38-generic:amd64 (4.15.0-38.41, automatic), linux-modules-4.15.0-38-generic:amd64 (4.15.0-38.41, automatic), linux-headers-4.15.0-38:amd64 (4.15.0-38.41, automatic), linux-image-4.15.0-38-generic:amd64 (4.15.0-38.41, automatic)
Upgrade: update-manager-core:amd64 (1:18.04.11.5, 1:18.04.11.6), linux-headers-generic:amd64 (4.15.0.36.38, 4.15.0.38.40), friendly-recovery:amd64 (0.2.38, 0.2.38ubuntu1), linux-libc-dev:amd64 (4.15.0-36.39, 4.15.0-38.41), linux-image-generic:amd64 (4.15.0.36.38, 4.15.0.38.40), man-db:amd64 (2.8.3-2, 2.8.3-2ubuntu0.1), python3-update-manager:amd64 (1:18.04.11.5, 1:18.04.11.6), code:amd64 (1.28.1-1539281690, 1.28.2-1539735992), linux-generic:amd64 (4.15.0.36.38, 4.15.0.38.40), ubuntu-mono:amd64 (16.10+18.04.20180421.1-0ubuntu1, 16.10+18.04.20181005-0ubuntu1)
End-Date: 2018-10-24  13:49:50

Start-Date: 2018-10-28  21:29:39
Commandline: /usr/bin/apt install curl
Requested-By: bradrar (1000)
Install: libcurl4:amd64 (7.58.0-2ubuntu3.3, automatic), curl:amd64 (7.58.0-2ubuntu3.3)
Remove: libcurl3:amd64 (7.58.0-2ubuntu2)
End-Date: 2018-10-28  21:29:49

Start-Date: 2018-10-30  21:17:32
Commandline: /usr/sbin/synaptic --hide-main-window --non-interactive --parent-window-id 79691800 -o Synaptic::closeZvt=true --set-selections-file /tmp/tmpwdvnoq_s
Requested-By: bradrar (1000)
Upgrade: mint-mirrors:amd64 (1.1.7, 1.1.8), libpackagekit-glib2-18:amd64 (1.1.9-1ubuntu2.18.04.1, 1.1.9-1ubuntu2.18.04.3), networkd-dispatcher:amd64 (1.7-0ubuntu3.2, 1.7-0ubuntu3.3), xserver-common:amd64 (2:1.19.6-1ubuntu4, 2:1.19.6-1ubuntu4.2), libapt-inst2.0:amd64 (1.6.3ubuntu0.1, 1.6.6), xserver-xorg-core:amd64 (2:1.19.6-1ubuntu4, 2:1.19.6-1ubuntu4.2), grub-common:amd64 (2.02-2ubuntu8.6, 2.02-2ubuntu8.7), apt:amd64 (1.6.3ubuntu0.1, 1.6.6), google-chrome-stable:amd64 (70.0.3538.67-1, 70.0.3538.77-1), nodejs:amd64 (8.10.0~dfsg-2ubuntu0.3, 8.10.0~dfsg-2ubuntu0.4), mintsystem:amd64 (8.3.9, 8.4.0), python-apt-common:amd64 (1.6.2, 1.6.3), xserver-xorg-legacy:amd64 (2:1.19.6-1ubuntu4, 2:1.19.6-1ubuntu4.2), grub2-common:amd64 (2.02-2ubuntu8.6, 2.02-2ubuntu8.7), libapt-pkg5.0:amd64 (1.6.3ubuntu0.1, 1.6.6), packagekit-tools:amd64 (1.1.9-1ubuntu2.18.04.1, 1.1.9-1ubuntu2.18.04.3), xserver-xephyr:amd64 (2:1.19.6-1ubuntu4, 2:1.19.6-1ubuntu4.2), dpkg:amd64 (1.19.0.5ubuntu2, 1.19.0.5ubuntu2.1), libnautilus-extension1a:amd64 (1:3.26.4-0~ubuntu18.04.1, 1:3.26.4-0~ubuntu18.04.2), grub-efi-amd64-bin:amd64 (2.02-2ubuntu8.6, 2.02-2ubuntu8.7), firefox-locale-en:amd64 (62.0.3+linuxmint1+tara, 63.0+linuxmint2+tara), chromium-codecs-ffmpeg-extra:amd64 (69.0.3497.81-0ubuntu0.18.04.1, 70.0.3538.67-0ubuntu0.18.04.1), python-apt:amd64 (1.6.2, 1.6.3), xwayland:amd64 (2:1.19.6-1ubuntu4, 2:1.19.6-1ubuntu4.2), packagekit:amd64 (1.1.9-1ubuntu2.18.04.1, 1.1.9-1ubuntu2.18.04.3), libmad0:amd64 (0.15.1b-8ubuntu1, 0.15.1b-9ubuntu18.04.1), apt-utils:amd64 (1.6.3ubuntu0.1, 1.6.6), grub-efi-amd64:amd64 (2.02-2ubuntu8.6, 2.02-2ubuntu8.7), nodejs-dev:amd64 (8.10.0~dfsg-2ubuntu0.3, 8.10.0~dfsg-2ubuntu0.4), grub-efi-amd64-signed:amd64 (1.93.7+2.02-2ubuntu8.6, 1.93.8+2.02-2ubuntu8.7), gir1.2-packagekitglib-1.0:amd64 (1.1.9-1ubuntu2.18.04.1, 1.1.9-1ubuntu2.18.04.3), firefox:amd64 (62.0.3+linuxmint1+tara, 63.0+linuxmint2+tara), nautilus-data:amd64 (1:3.26.4-0~ubuntu18.04.1, 1:3.26.4-0~ubuntu18.04.2), gstreamer1.0-packagekit:amd64 (1.1.9-1ubuntu2.18.04.1, 1.1.9-1ubuntu2.18.04.3), libdpkg-perl:amd64 (1.19.0.5ubuntu2, 1.19.0.5ubuntu2.1), python3-apt:amd64 (1.6.2, 1.6.3), dpkg-dev:amd64 (1.19.0.5ubuntu2, 1.19.0.5ubuntu2.1), tzdata:amd64 (2018e-0ubuntu0.18.04, 2018g-0ubuntu0.18.04)
End-Date: 2018-10-30  21:20:19

Start-Date: 2018-10-31  10:24:44
Commandline: /usr/bin/apt autoremove
Requested-By: bradrar (1000)
Remove: tuxtype-data:amd64 (1.8.3-2), fonts-sil-andika:amd64 (5.000-3), libsdl-pango1:amd64 (0.1.2-7), libsdl2-2.0-0:amd64 (2.0.8+dfsg1-1ubuntu1.18.04.1), libsdl-mixer1.2:amd64 (1.2.12-14), libmikmod3:amd64 (3.3.11.1-3)
End-Date: 2018-10-31  10:24:54

Start-Date: 2018-10-31  13:43:56
Commandline: /usr/sbin/synaptic --hide-main-window --non-interactive --parent-window-id 79691812 -o Synaptic::closeZvt=true --set-selections-file /tmp/tmpanlzme97
Requested-By: bradrar (1000)
Upgrade: libgs9:amd64 (9.25~dfsg+1-0ubuntu0.18.04.1, 9.25~dfsg+1-0ubuntu0.18.04.2), chromium-codecs-ffmpeg-extra:amd64 (70.0.3538.67-0ubuntu0.18.04.1, 70.0.3538.77-0ubuntu0.18.04.1), distro-info-data:amd64 (0.37ubuntu0.1, 0.37ubuntu0.2), ghostscript:amd64 (9.25~dfsg+1-0ubuntu0.18.04.1, 9.25~dfsg+1-0ubuntu0.18.04.2), ghostscript-x:amd64 (9.25~dfsg+1-0ubuntu0.18.04.1, 9.25~dfsg+1-0ubuntu0.18.04.2), libgs9-common:amd64 (9.25~dfsg+1-0ubuntu0.18.04.1, 9.25~dfsg+1-0ubuntu0.18.04.2), secureboot-db:amd64 (1.1, 1.4~ubuntu0.18.04.1)
End-Date: 2018-10-31  13:44:12

Start-Date: 2018-10-31  13:45:40
Commandline: aptdaemon role='role-install-packages' sender=':1.97'
Install: python3-pbr:amd64 (3.1.1-3ubuntu3, automatic), guake:amd64 (3.0.5-1)
End-Date: 2018-10-31  13:45:47

Start-Date: 2018-10-31  13:49:03
Commandline: aptdaemon role='role-remove-packages' sender=':1.97'
Install: libutempter0:amd64 (1.1.6-3, automatic), xterm:amd64 (330-1ubuntu2, automatic)
Remove: gnome-terminal:amd64 (3.28.1-1ubuntu1mint2)
End-Date: 2018-10-31  13:49:13

Start-Date: 2018-10-31  13:49:34
Commandline: aptdaemon role='role-install-packages' sender=':1.97'
Install: gnome-terminal:amd64 (3.28.1-1ubuntu1mint2)
End-Date: 2018-10-31  13:49:39

Start-Date: 2018-10-31  13:58:29
Commandline: /usr/bin/apt install snapd
Requested-By: bradrar (1000)
Install: snapd:amd64 (2.34.2+18.04)
End-Date: 2018-10-31  13:58:47

Start-Date: 2018-10-31  23:15:24
Commandline: /usr/sbin/synaptic --hide-main-window --non-interactive --parent-window-id 79691804 -o Synaptic::closeZvt=true --set-selections-file /tmp/tmptafolhs2
Requested-By: bradrar (1000)
Upgrade: libcurl4:amd64 (7.58.0-2ubuntu3.3, 7.58.0-2ubuntu3.5), curl:amd64 (7.58.0-2ubuntu3.3, 7.58.0-2ubuntu3.5), libcurl3-gnutls:amd64 (7.58.0-2ubuntu3.3, 7.58.0-2ubuntu3.5)
End-Date: 2018-10-31  23:15:37
Here is my environment:

Code: Select all

bradrar@bradrar-X455LAB:~$ inxi -Sz
System:    Host: bradrar-X455LAB Kernel: 4.15.0-38-generic x86_64 bits: 64 Desktop: Cinnamon 3.8.9
           Distro: Linux Mint 19 Tara


gm10
Level 20
Level 20
Posts: 10999
Joined: Thu Jun 21, 2018 5:11 pm

Re: Terminal won't open

Post by gm10 »

Ok, this is not entirely conclusive but apparently you installed xterm via Software Manager and then gnome-terminal got removed and re-installed?

Code: Select all

Start-Date: 2018-10-31  13:49:03
Commandline: aptdaemon role='role-remove-packages' sender=':1.97'
Install: libutempter0:amd64 (1.1.6-3, automatic), xterm:amd64 (330-1ubuntu2, automatic)
Remove: gnome-terminal:amd64 (3.28.1-1ubuntu1mint2)
End-Date: 2018-10-31  13:49:13

Start-Date: 2018-10-31  13:49:34
Commandline: aptdaemon role='role-install-packages' sender=':1.97'
Install: gnome-terminal:amd64 (3.28.1-1ubuntu1mint2)
End-Date: 2018-10-31  13:49:39
For the details of what actually happened we'd need to check /var/log/apt/term.log but that's one messy file so let's try this first:
1. Open Synaptic Package Manager via the Menu
2. Search for gnome-terminal by name
3. Right-click the gnome-terminal package and select to mark it for either installation or re-installation, whichever is available
4. Click on the Apply button on the toolbar.

bradrar
Level 2
Level 2
Posts: 54
Joined: Sun Aug 19, 2018 2:48 am

Re: Terminal won't open

Post by bradrar »

I followed your instruction and Marked the gnome terminal re-installation.

Changes are successfully applied and I tried opening the terminal but it still won't open.

My cursor just loads a few seconds and then it went back to an arrow again. and that's it.


Here is what's in my term.log

Code: Select all


Log started: 2018-11-01  01:52:42
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 300067 files and directories currently installed.)
Preparing to unpack .../gnome-terminal_3.28.1-1ubuntu1mint2_amd64.deb ...
Unpacking gnome-terminal (3.28.1-1ubuntu1mint2) over (3.28.1-1ubuntu1mint2) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for desktop-file-utils (0.23+linuxmint3) ...
Processing triggers for libglib2.0-0:i386 (2.56.2-0ubuntu0.18.04.2) ...
Processing triggers for libglib2.0-0:amd64 (2.56.2-0ubuntu0.18.04.2) ...
Setting up gnome-terminal (3.28.1-1ubuntu1mint2) ...
Processing triggers for man-db (2.8.3-2ubuntu0.1) ...
Processing triggers for gnome-menus (3.13.3-11ubuntu1.1) ...
Log ended: 2018-11-01  01:52:54

Log started: 2018-11-01  01:54:18
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 300067 files and directories currently installed.)
Preparing to unpack .../gnome-terminal_3.28.1-1ubuntu1mint2_amd64.deb ...
Unpacking gnome-terminal (3.28.1-1ubuntu1mint2) over (3.28.1-1ubuntu1mint2) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for desktop-file-utils (0.23+linuxmint3) ...
Processing triggers for libglib2.0-0:i386 (2.56.2-0ubuntu0.18.04.2) ...
Processing triggers for libglib2.0-0:amd64 (2.56.2-0ubuntu0.18.04.2) ...
Setting up gnome-terminal (3.28.1-1ubuntu1mint2) ...
Processing triggers for man-db (2.8.3-2ubuntu0.1) ...
Processing triggers for gnome-menus (3.13.3-11ubuntu1.1) ...
Log ended: 2018-11-01  01:54:23

gm10
Level 20
Level 20
Posts: 10999
Joined: Thu Jun 21, 2018 5:11 pm

Re: Terminal won't open

Post by gm10 »

How did you try opening the terminal. Via a key combination or did you start it from the menu? How about xterm which you also installed?

User avatar
trytip
Level 13
Level 13
Posts: 4741
Joined: Tue Jul 05, 2016 1:20 pm

Re: Terminal won't open

Post by trytip »

log off then back in (this will create a new log for .xsession-errors) open your terminal and wait a few seconds . now open .xsession-errors and you should have some info about the terminal. anything pop-out at you ?

or you could search for any other terminal in your menu and if on opens like the xterm, type gnome-terminal in there to see what errors it spits out
Image

bradrar
Level 2
Level 2
Posts: 54
Joined: Sun Aug 19, 2018 2:48 am

Re: Terminal won't open

Post by bradrar »

gm10 wrote:
Wed Oct 31, 2018 2:06 pm
How did you try opening the terminal. Via a key combination or did you start it from the menu? How about xterm which you also installed?
I tried to open the terminal in my "pinned icon" in my panel. I also try opening it via menu.

I don't remember installing xterm manually, was automatically downloaded by the software update?

I just opened it now. it was the same as my terminal but with a different design.

How can I go back to my original terminal because I like it a lot.

EDIT:

I just uninstalled xterm but I still can't open my terminal
Last edited by bradrar on Wed Oct 31, 2018 10:49 pm, edited 1 time in total.

bradrar
Level 2
Level 2
Posts: 54
Joined: Sun Aug 19, 2018 2:48 am

Re: Terminal won't open

Post by bradrar »

trytip wrote:
Wed Oct 31, 2018 3:52 pm
log off then back in (this will create a new log for .xsession-errors) open your terminal and wait a few seconds . now open .xsession-errors and you should have some info about the terminal. anything pop-out at you ?

or you could search for any other terminal in your menu and if on opens like the xterm, type gnome-terminal in there to see what errors it spits out
I don't know where to locate .xsession-errors So I installed Guake Terminal (that I have read in other forums) and typed "gnome-terminal"

Code: Select all

bradrar@bradrar-X455LAB:~$ gnome-terminal
# Error constructing proxy for org.gnome.Terminal:/org/gnome/Terminal/Factory0: Error calling StartServiceByName for org.gnome.Terminal: Timeout was reached

gm10
Level 20
Level 20
Posts: 10999
Joined: Thu Jun 21, 2018 5:11 pm

Re: Terminal won't open

Post by gm10 »

Can you try to launch it like this:

Code: Select all

LC_ALL=en_US.UTF-8 gnome-terminal
and if that does not work, please post the output of:

Code: Select all

grep "gnome-terminal" /var/log/syslog
so we get the error code.

PS: You don't have chrome-remote-desktop installed, do you? Another user recently ran into similar issues with gnome-terminal that were fixed by removing that package.

bradrar
Level 2
Level 2
Posts: 54
Joined: Sun Aug 19, 2018 2:48 am

Re: Terminal won't open

Post by bradrar »

gm10 wrote:
Wed Oct 31, 2018 11:19 pm
Can you try to launch it like this:

Code: Select all

LC_ALL=en_US.UTF-8 gnome-terminal
and if that does not work, please post the output of:

Code: Select all

grep "gnome-terminal" /var/log/syslog
so we get the error code.

PS: You don't have chrome-remote-desktop installed, do you? Another user recently ran into similar issues with gnome-terminal that were fixed by removing that package.

Code: Select all

bradrar@bradrar-X455LAB:~$ LC_ALL=en_US.UTF-8 gnome-terminal
# Error constructing proxy for org.gnome.Terminal:/org/gnome/Terminal/Factory0: Error calling StartServiceByName for org.gnome.Terminal: Timeout was reached

Code: Select all

bradrar@bradrar-X455LAB:~$ grep "gnome-terminal" /var/log/syslog
Nov  1 01:53:03 bradrar-X455LAB dbus-daemon[1336]: [session uid=1000 pid=1336] Activating via systemd: service name='org.gnome.Terminal' unit='gnome-terminal-server.service' requested by ':1.387' (uid=1000 pid=16013 comm="/usr/bin/gnome-terminal.real " label="unconfined")
Nov  1 01:53:03 bradrar-X455LAB gnome-terminal-server[16016]: Non UTF-8 locale (ANSI_X3.4-1968) is not supported!
Nov  1 01:53:03 bradrar-X455LAB systemd[1304]: gnome-terminal-server.service: Main process exited, code=exited, status=8/n/a
Nov  1 01:53:03 bradrar-X455LAB systemd[1304]: gnome-terminal-server.service: Failed with result 'exit-code'.
Nov  1 01:56:37 bradrar-X455LAB dbus-daemon[1336]: [session uid=1000 pid=1336] Activating via systemd: service name='org.gnome.Terminal' unit='gnome-terminal-server.service' requested by ':1.392' (uid=1000 pid=16521 comm="/usr/bin/gnome-terminal.real " label="unconfined")
Nov  1 01:56:37 bradrar-X455LAB gnome-terminal-server[16524]: Non UTF-8 locale (ANSI_X3.4-1968) is not supported!
Nov  1 01:56:37 bradrar-X455LAB systemd[1304]: gnome-terminal-server.service: Main process exited, code=exited, status=8/n/a
Nov  1 01:56:37 bradrar-X455LAB systemd[1304]: gnome-terminal-server.service: Failed with result 'exit-code'.
Nov  1 10:40:49 bradrar-X455LAB dbus-daemon[1347]: [session uid=1000 pid=1347] Activating via systemd: service name='org.gnome.Terminal' unit='gnome-terminal-server.service' requested by ':1.87' (uid=1000 pid=2688 comm="/usr/bin/gnome-terminal.real " label="unconfined")
Nov  1 10:40:49 bradrar-X455LAB gnome-terminal-server[2691]: Non UTF-8 locale (ANSI_X3.4-1968) is not supported!
Nov  1 10:40:49 bradrar-X455LAB systemd[1315]: gnome-terminal-server.service: Main process exited, code=exited, status=8/n/a
Nov  1 10:40:49 bradrar-X455LAB systemd[1315]: gnome-terminal-server.service: Failed with result 'exit-code'.
Nov  1 10:45:30 bradrar-X455LAB dbus-daemon[1347]: [session uid=1000 pid=1347] Activating via systemd: service name='org.gnome.Terminal' unit='gnome-terminal-server.service' requested by ':1.88' (uid=1000 pid=4458 comm="/usr/bin/gnome-terminal.real " label="unconfined")
Nov  1 10:45:30 bradrar-X455LAB gnome-terminal-server[4461]: Non UTF-8 locale (ANSI_X3.4-1968) is not supported!
Nov  1 10:45:30 bradrar-X455LAB systemd[1315]: gnome-terminal-server.service: Main process exited, code=exited, status=8/n/a
Nov  1 10:45:30 bradrar-X455LAB systemd[1315]: gnome-terminal-server.service: Failed with result 'exit-code'.
Nov  1 11:23:16 bradrar-X455LAB dbus-daemon[1347]: [session uid=1000 pid=1347] Activating via systemd: service name='org.gnome.Terminal' unit='gnome-terminal-server.service' requested by ':1.220' (uid=1000 pid=6590 comm="/usr/bin/gnome-terminal.real " label="unconfined")
Nov  1 11:23:16 bradrar-X455LAB gnome-terminal-server[6593]: Non UTF-8 locale (ANSI_X3.4-1968) is not supported!
Nov  1 11:23:16 bradrar-X455LAB systemd[1315]: gnome-terminal-server.service: Main process exited, code=exited, status=8/n/a
Nov  1 11:23:16 bradrar-X455LAB systemd[1315]: gnome-terminal-server.service: Failed with result 'exit-code'.
I tried searching for chrome-remote-desktop in synaptic package manager and no results were found. Should I install it?

gm10
Level 20
Level 20
Posts: 10999
Joined: Thu Jun 21, 2018 5:11 pm

Re: Terminal won't open

Post by gm10 »

No, don't install it.

Description for your error code is:
Error Code 8 wrote:Reason: The environment that gnome-terminal-server is started with does not correctly set the locale to a UTF-8 locale. Consult your distribution's documentation on how to fix this. Note that is it not relevant to check the locale settings from a different terminal (e.g. xterm); what counts is the environment that the session dbus-demon passes to the processes it starts.
So I wasn't wrong with my guess, except setting that variable was apparently not enough. Run this and try again:

Code: Select all

sudo locale-gen --purge
Otherwise post output of

Code: Select all

localectl
and check Mint menu > Languages for the correct settings

bradrar
Level 2
Level 2
Posts: 54
Joined: Sun Aug 19, 2018 2:48 am

Re: Terminal won't open

Post by bradrar »

Okay, I tried

Code: Select all

sudo locale-gen --purge
and it says that the generation is complete. here is the full log.

Code: Select all

bradrar@bradrar-X455LAB:~$ sudo locale-gen --purge
[sudo] password for bradrar: 
Generating locales (this might take a while)...
  en_AG.UTF-8... done
  en_AU.UTF-8... done
  en_BW.UTF-8... done
  en_CA.UTF-8... done
  en_DK.UTF-8...[error] cannot open locale definition file `da_DK': No such file or directory
 done
  en_GB.UTF-8... done
  en_HK.UTF-8... done
  en_IE.UTF-8... done
  en_IL.UTF-8...[error] cannot open locale definition file `he_IL': No such file or directory
 done
  en_IN.UTF-8...[error] cannot open locale definition file `hi_IN': No such file or directory
 done
  en_NG.UTF-8...[error] cannot open locale definition file `da_DK': No such file or directory
 done
  en_NZ.UTF-8... done
  en_PH.UTF-8...[error] cannot open locale definition file `tl_PH': No such file or directory
 done
  en_SG.UTF-8... done
  en_US.UTF-8... done
  en_ZA.UTF-8... done
  en_ZM.UTF-8... done
  en_ZW.UTF-8... done
Generation complete.
So I tried opening the terminal but it still won't open.

then I put

Code: Select all

localectl

Code: Select all

 System Locale: LANGUAGE=en_PH:en
       VC Keymap: n/a
      X11 Layout: us
       X11 Model: pc105

But I can't open Language. I tried opening it via menu and System Settings but it won't open. Other preferences works fine except "languages" and "input method"

EDIT:
I restarted my computer language preference still cannot be opened and also the terminal

gm10
Level 20
Level 20
Posts: 10999
Joined: Thu Jun 21, 2018 5:11 pm

Re: Terminal won't open

Post by gm10 »

Hmm, wonder how you managed to break this. Run this to re-install the missing files:

Code: Select all

apt install --reinstall locales
Should start working after that.

bradrar
Level 2
Level 2
Posts: 54
Joined: Sun Aug 19, 2018 2:48 am

Re: Terminal won't open

Post by bradrar »

gm10 wrote:
Thu Nov 01, 2018 12:07 am
Hmm, wonder how you managed to break this. Run this to re-install the missing files:

Code: Select all

apt install --reinstall locales
Should start working after that.
maybe because I used bleachbit last week as a root because I keep getting this message that I have low filespace in root.

I tried

Code: Select all

apt install --reinstall locales
and opened languages, but it won't open.

so I restarted my pc and opened it again with no luck. It still won't open. :(

BTW. I appreciate you taking the time helping me. Thank you.

gm10
Level 20
Level 20
Posts: 10999
Joined: Thu Jun 21, 2018 5:11 pm

Re: Terminal won't open

Post by gm10 »

bradrar wrote:
Thu Nov 01, 2018 12:19 am
maybe because I used bleachbit last week as a root because I keep getting this message that I have low filespace in root.
Yes, software like that is dangerous, very easy to break things.

It's too late for me right now to think clearly enough understand why it would still fail on those locales but maybe we can just switch you over to US English instead while we figure it out? Run

Code: Select all

xed ~/.pam_environment
and replace the content with this:

Code: Select all

LANGUAGE=en_US.UTF-8
LANG=en_US.UTF-8
LC_CTYPE=en_US.UTF-8
LC_NUMERIC=en_US.UTF-8
LC_TIME=en_US.UTF-8
LC_COLLATE=en_US.UTF-8
LC_MONETARY=en_US.UTF-8
LC_MESSAGES=en_US.UTF-8
LC_PAPER=en_US.UTF-8
LC_NAME=en_US.UTF-8
LC_ADDRESS=en_US.UTF-8
LC_TELEPHONE=en_US.UTF-8
LC_MEASUREMENT=en_US.UTF-8
LC_IDENTIFICATION=en_US.UTF-8
PAPERSIZE=letter
Then re-log or reboot. Hopefully that helps, otherwise I'll have to get back to you later, signing out for now.

bradrar
Level 2
Level 2
Posts: 54
Joined: Sun Aug 19, 2018 2:48 am

Re: Terminal won't open

Post by bradrar »

Wow! I can use my terminal again!

I can also open the Language preference

Does this solve the issue or is this just temporary?

THANK YOU VERY MUCH!

gm10
Level 20
Level 20
Posts: 10999
Joined: Thu Jun 21, 2018 5:11 pm

Re: [SOLVED] Terminal won't open

Post by gm10 »

It solves the issue permanently insofar as you had no problems with the en_US locale, only with your previously configured en_PH (Philippines) locale. If you don't care which one you're using you're all set for now, otherwise let me know and we'll figure it out how to repair the other one.

Post Reply

Return to “Newbie Questions”